Java.com

Ladda ned Hjälp

Hjälpresurser

Java-insticksprogram fungerar inte i Firefox när Java 7 Update 10 (7u10) eller senare har installerats.


Denna artikel gäller för:
  • Webbläsare: Firefox
  • Java-versioner: 7.0

SYMTOM

Efter genomförd installation av Java 7u10 eller senare visas följande felmeddelande:
Fel: För att visa det här innehållet krävs ett insticksprogram. Installera insticksprogram


ORSAK

Det här beror på en konflikt mellan Java 7u10 eller senare och fristående installationer av JavaFX.
Exempel: Om Java 7u5 och JavaFX 2.1.1 finns installerade och Java uppdateras till 7u10, kan Firefox inte upptäcka att Java 7u10 har installerats.


LÖSNING

Vi rekommenderar avinstallation av alla versioner av Java och JavaFX före installation av Java-versionerna 7u10 och senare för att lösa det här problemet.
Följ stegen nedan för att lösa det här problemet.
  1. Ta bort alla versioner av Java och JavaFX via avinstallationsverktyget i kontrollpanelen för Windows.
    Instruktioner för att avinstallera Java.
  2. Kör Microsofts avinstallationsverktyg för att reparera felaktiga registernycklar som förhindrar att program kan avinstalleras fullständigt eller som blockerar nya installationer och uppdateringar.
  3. Ladda ned och installera paketet med Windows offlineinstallationsprogram.

Välj språk | Om Java | Supportalternativ | Utvecklare
Sekretess | Användningsvillkor | Varumärken | Friskrivning

Oracle